#version 430 core

out vec4 FragColor;

in vec2 TexCoords;

uniform sampler2D tex;

void main() {
    vec4 texColor = texture(tex, TexCoords) * vec4(0.4, 0.35, 0.25, 1.0);
    if (texColor.a < 0.1) {
        discard;
    }
    FragColor = texColor;
}